using Lada.Framework.Data.Domains.Rewards;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Lada.Framework.Data.Mappings.EntityMappings.Rewards
{
    public class AutoPenaltyLevelMap : IEntityMappingConfiguration<AutoPenaltyLevel>
    {
        public void Map(EntityTypeBuilder<AutoPenaltyLevel> builder)
        {
            builder.HasKey(l => l.Id);

            builder.Property(l => l.PenaltyAmount).HasColumnType("decimal(18,2)");

            builder.ToTable("AutoPenaltyLevel");
        }
    }
}
